<?php
session_start();
include "verifica.php";
include("../conexion.php");
include "correlativos.php";


@$xsaldo_a_favor=$_REQUEST['xsaldo_a_favor'];

@$xid_recuperado=$_REQUEST['xid_recuperado'];
@$xpedido_recuperado=$_REQUEST['xpedido_recuperado'];
@$xordpedcom_numero=$_REQUEST['xordpedcom_numero'];
				
@$xop2=trim($_REQUEST['xop2']);
@$xid=$_REQUEST['xid'];
@$xaccion=$_REQUEST['xaccion'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xopealmdet_codi=$_REQUEST['xopealmdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xopealmdet_precio=$_REQUEST['xopealmdet_precio'];
@$xopealmdet_cantidad=$_REQUEST['xopealmdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xnro_documento=$_REQUEST['xnro_documento'];
@$xdocumento=$_REQUEST['xdocumento'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xfecha=$_REQUEST['xfecha'];
@$xproveedor=$_REQUEST['xproveedor'];
@$xpagotipo=$_REQUEST['xpagotipo'];

@$xidtrans=$_REQUEST['xidtrans'];

$adet = new Almacendetalle;

switch($xaccion){
	
	case "adicionar": 
		if($adet->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";	
			//alert("sisisi");     
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($adet->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");			
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../almacen.php?xop="+xop;
			parent.parent.document.form_buscar.submit();
		
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($adet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";				
			</script>			
			<?php
			
		}		
		break;
		
	case "guardar_unidad":
		if($adet->guardar_unidad($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Item guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "guardar_cantidad":
		if($adet->guardar_cantidad($conexion)==1){
			//echo "guardar_cantidad";
			?>			
			<script language="javascript">
			//alert("cantidad guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		
		

	case "guardar_precio":
		if($adet->guardar_precio($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//alert("Item guardado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		
		
	case "guardar_nuevo_almacen":
		if($adet->guardar_nuevo_almacen($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			//parent.parent.document.getElementById('xidtrans').value = "";	
			alert("Operación de almacén guardada satisfactoriamente.")	
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../almacen.php?xop="+xop;
			parent.parent.document.form_buscar.submit();
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;						

	case "adicionar_temporal_modificar": 
		if($adet->adicionar_temporal_modificar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";	
			//alert('sssss...');
			</script>			
			<?php
			
		}		
		break;
		
	case "generar_idtrans":
		if($adet->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($adet->activar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;

	case "activar_verificar":
		if($adet->activar_verificar($conexion)==1){
			?>			
			<script language="javascript">
			//alert("aaa");
			</script>			
			<?php
			
		}		
		break;


	case "adicionar_temporal_recuperar": 
		if($adet->adicionar_temporal_recuperar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";
			parent.parent.busca_orden_cerrar()	
			//alert('sssss...');
			
			</script>			
			<?php
			
		}		
		break;


}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Almacendetalle{

	//Adiciona nuevo ITEM
	function adicionar($conexion){
		global $xid, $xprd_codi, $xidtrans;
		
			?>
			<script language="javascript">
			
			//alert("sisisi: <?php echo $xid; ?> - <?php echo $xprd_codi; ?> - <?php echo $xidtrans; ?> ");     
			</script>			
			<?php					
		
		$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																					prd_codi_fk, 
																					idtrans) 
																		VALUES(NOW(),
																					$xprd_codi,
																					$xidtrans);");
				
		if($r){		
			return 1;
			
		}	
				
	}	


	//Guarda Modificaciones de operación de almacén
	function modificar($conexion){

		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones, $xdocumento, $xnro_documento, $xusuario_sesion;			
																						
		$r2=mysqli_query($conexion,"UPDATE operacion_almacen set opealm_fecha='$xfecha',
														per_codi_fk='$xproveedor',
														doctip_codi_fk='$xdocumento',
														opetip_codi_fk='$xpagotipo',
														opealm_anotaciones='$xanotaciones',
														doc_numero='$xnro_documento',
														opealm_usu_modifica='$xusuario_sesion'
												WHERE opealm_codi=$xid;");																						

		
		if($r2){	

			$xopealm_codi=$xid;;

			//ELIMINACIÓN DE LOS DETALLES DE OPERACION ELIMINADOS
			$r_antiguos = mysqli_query($conexion,"SELECT o.* FROM operacion_almacen_detalle o LEFT JOIN temporal_operacion_almacen_detalle t ON t.opealmdet_codi_fk = o.opealmdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NULL order by o.opealmdet_codi;");
			
			while($row_antiguos=mysqli_fetch_array($r_antiguos)){
				$xopealmdet_codi=$row_antiguos['opealmdet_codi'];
				
				$r_elimina_antiguos = mysqli_query($conexion,"DELETE FROM operacion_almacen_detalle WHERE opealmdet_codi=$xopealmdet_codi;");
				
			}
			
			//ACTUALIZACION DE LOS DETALLES DE OPERACION MODIFICADOS
			$r_actualizados = mysqli_query($conexion,"SELECT o.opealmdet_codi as t_opealmdet_codi, t.* FROM operacion_almacen_detalle o LEFT JOIN temporal_operacion_almacen_detalle t ON t.opealmdet_codi_fk = o.opealmdet_codi WHERE o.idtrans='$xidtrans' AND t.idtrans IS NOT NULL order by o.opealmdet_codi;");						
			
			while($row_actualizados=mysqli_fetch_array($r_actualizados)){
						
				$xopealmdet_codi=$row_actualizados['t_opealmdet_codi'];
				$xprd_codi_fk=$row_actualizados['prd_codi_fk'];
				$xunimed_codi_fk=$row_actualizados['unimed_codi_fk'];				
				$xopealmdet_cantidad=$row_actualizados['opealmdet_cantidad'];
							
				$r_modifica_actualizados = mysqli_query($conexion,"UPDATE operacion_almacen_detalle set unimed_codi_fk = $xunimed_codi_fk,
																									opealmdet_cantidad = $xopealmdet_cantidad
																				 WHERE opealmdet_codi=$xopealmdet_codi;");																				 				
			}
			
					
			$r1 = mysqli_query($conexion,"SELECT t.* FROM temporal_operacion_almacen_detalle t LEFT JOIN operacion_almacen_detalle o ON t.opealmdet_codi_fk = o.opealmdet_codi WHERE t.idtrans='$xidtrans' AND o.idtrans IS NULL;");				
			
			while($row1=mysqli_fetch_array($r1)){						
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xopealmdet_cantidad=$row1['opealmdet_cantidad'];						
				
				$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,																				
																				opealmdet_cantidad,
																				opealm_codi_fk,
																				idtrans) 
																		VALUES(NOW(),
																				$xprd_codi_fk,
																				$xunimed_codi_fk,																				
																				$xopealmdet_cantidad,
																				$xopealm_codi,
																				'$xidtrans');");								
			}
			
			
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				return 1;
			}

		
		}		
	
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_operacion_almacen_detalle where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda unidad
	function guardar_unidad($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi,$xunimed_codi;
		
			?>
			<script language="javascript">
			
			//alert("zzz: <?php echo $xid; ?> - <?php echo $xprc_codi; ?> - <?php echo $xopealmdet_codi; ?> - <?php echo $xunimed_codi; ?> ");     
			</script>			
			<?php
		

		$r = mysqli_query($conexion,"update temporal_operacion_almacen_detalle set unimed_codi_fk='$xunimed_codi' 
																		where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		


	//Guarda cantidad
	function guardar_cantidad($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi,$xopealmdet_cantidad;
		
			?>
			<script language="javascript">
			
			//alert("zzz: <?php echo $xid; ?> - <?php echo $xprc_codi; ?> - <?php echo $xopealmdet_codi; ?> - <?php echo $xopealmdet_cantidad; ?> ");     
			</script>			
			<?php						

		$r = mysqli_query($conexion,"update temporal_operacion_almacen_detalle set opealmdet_cantidad='$xopealmdet_cantidad' 
																		where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		

	//Guarda precio
	function guardar_precio($conexion){
		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio;		

		$r = mysqli_query($conexion,"update temporal_orden_pedido_detalle set ordpeddet_precio='$xordpeddet_precio' 
																		where ordpeddet_codi = $xordpeddet_codi;");
		
		if($r){		
			return 1;
		}	
	}		



	//Guarda nuevo almacen
	function guardar_nuevo_almacen($conexion){
	
		global $xid,$xprc_codi,$xopealmdet_codi,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xnro_documento,$xdocumento, $xusuario_sesion, $cor,$xpedido_recuperado,$xop2,$xordpedcom_numero;				
		
		$correlativo = $cor->almacen($conexion);
		
		$r2=mysqli_query($conexion,"INSERT INTO operacion_almacen (opealm_fechahora,
																		opealm_fecha,
																		opealm_numero,																		
																		per_codi_fk,
																		doctip_codi_fk,
																		opetip_codi_fk,
																		idtrans,
																		opealm_anotaciones,
																		doc_numero,
																		opealm_usu_crea,
																		ordpedcom_numero) 
																VALUES(NOW(),
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		$xdocumento,
																		$xpagotipo,
																		'$xidtrans',
																		'$xanotaciones',
																		'$xnro_documento',
																		'$xusuario_sesion',
																		'$xordpedcom_numero');");				
		
		if($r2){		
				
			$r_trans = mysqli_query($conexion, "SELECT opealm_codi FROM operacion_almacen o where idtrans='$xidtrans';");
			while($row_trans=mysqli_fetch_array($r_trans)){
				$xopealm_codi=$row_trans['opealm_codi'];
			}

			
			if(trim($xpedido_recuperado)!=""){		
			
				if($xop2=="SALIDA"){		
				
					$r33=mysqli_query($conexion,"INSERT INTO orden_pedido_almacen (ordpedalm_fechahora,
																					ordped_codi_fk,
																					opealm_codi_fk) 
																			VALUES(NOW(),
																					$xpedido_recuperado,
																					$xopealm_codi);");
				}

				if($xop2=="INGRESO"){		
				
					$r33=mysqli_query($conexion,"INSERT INTO orden_compra_almacen (ordcomalm_fechahora,
																					ordcom_codi_fk,
																					opealm_codi_fk) 
																			VALUES(NOW(),
																					$xpedido_recuperado,
																					$xopealm_codi);");
				}				
				
			}
			
		
			$r1 = mysqli_query($conexion,"SELECT * FROM temporal_operacion_almacen_detalle t WHERE idtrans='$xidtrans' order by opealmdet_codi;");	
			while($row1=mysqli_fetch_array($r1)){
			
				$xprd_codi_fk=$row1['prd_codi_fk'];
				$xunimed_codi_fk=$row1['unimed_codi_fk'];
				$xopealmdet_precio=$row1['opealmdet_precio'];
				$xopealmdet_cantidad=$row1['opealmdet_cantidad'];						
				
				$r=mysqli_query($conexion,"INSERT INTO operacion_almacen_detalle (opealmdet_fechahora, 
																				prd_codi_fk,
																				unimed_codi_fk,																				
																				opealmdet_cantidad,
																				opealm_codi_fk,
																				idtrans) 
																		VALUES(NOW(),
																				$xprd_codi_fk,
																				$xunimed_codi_fk,																				
																				$xopealmdet_cantidad,
																				$xopealm_codi,
																				'$xidtrans');");				
			}
			
			
			
			
			
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){		
				return 1;
			}	
		
		}		

	}		



	//Adiciona temporal para modificar
	function adicionar_temporal_modificar($conexion){
		global $xid, $xidtrans;
				
		$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans'; ");	
	
			if($r_limpiando_temporal){
						
				//$r2=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.idtrans='$xidtrans' order by ordpeddet_codi;");

				$r1 = mysqli_query($conexion,"SELECT oad.* FROM operacion_almacen_detalle oad INNER JOIN operacion_almacen o ON oad.opealm_codi_fk=o.opealm_codi WHERE o.idtrans='$xidtrans' order by oad.opealmdet_codi;");	
				while($row1=mysqli_fetch_array($r1)){														
														
														
					$xprd_codi_fk=$row1['prd_codi_fk'];
					$xunimed_codi_fk=$row1['unimed_codi_fk'];
					$xopealmdet_cantidad=$row1['opealmdet_cantidad'];		
					$xopealmdet_codi=$row1['opealmdet_codi'];
					$xopealm_codi_fk=$row1['opealm_codi_fk'];
					
					
					$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																					prd_codi_fk,
																					unimed_codi_fk,
																					opealmdet_cantidad,
																					opealm_codi_fk,
																					idtrans,
																					opealmdet_codi_fk) 
																			VALUES(NOW(),
																					$xprd_codi_fk,
																					$xunimed_codi_fk,
																					$xopealmdet_cantidad,
																					$xopealm_codi_fk,
																					'$xidtrans',
																					$xopealmdet_codi);");				
				}
	

						
			}			

			return 1;
				
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans').value = "<?php echo $xnu; ?>";
		</script>			
		<?php
		
		return 1;	

	}



	//Activa una operacion de almacen
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;

		$r = mysqli_query($conexion,"update operacion_almacen set opealm_estado = $xestado,
																opealm_usu_activa = '$xusuario_sesion' 
															where opealm_codi = $xid;");
		
		if($r){		

			return 1;
		}	
	
	}	




	//Verifica activación una operacion de almacen
	function activar_verificar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion, $xop2;
		
		$xverificacion=0;
		
		if($xop2=="SALIDA"){					

			$r_busca = mysqli_query($conexion,"SELECT * FROM orden_pedido_almacen opa INNER JOIN orden_pedido op ON opa.ordped_codi_fk=op.ordped_codi where opealm_codi_fk=$xid;");
			
			if(mysqli_num_rows($r_busca) ){		
			
				while($row_busca=mysqli_fetch_array($r_busca)){
					$xordped_numero = $row_busca['ordped_numero'];
					$xverificacion=1;
					
					?>
					<script language="javascript">
					alert('Registro relacionado a la orden de pedido nro: <?php echo $xordped_numero;?>. Su cambio de estado puede provocar alteraciones.');
					parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
					</script>
					<?php			
					
				}		
	
			}else{
			
				?>
				<script language="javascript">
				parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
				</script>
				<?php		
			}
		}
		
		
		if($xop2=="INGRESO"){					

			$r_busca = mysqli_query($conexion,"SELECT * FROM orden_compra_almacen oca INNER JOIN orden_compra oc ON oca.ordcom_codi_fk=oc.ordcom_codi where opealm_codi_fk=$xid;");
			
			if(mysqli_num_rows($r_busca) ){		
			
				while($row_busca=mysqli_fetch_array($r_busca)){
					$xordcom_numero = $row_busca['ordcom_numero'];
					$xverificacion=1;
					
					?>
					<script language="javascript">
					alert('Registro relacionado a la orden de compra nro: <?php echo $xordcom_numero;?>. Su cambio de estado puede provocar alteraciones.');
					parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
					</script>
					<?php			
					
				}		
	
			}else{
			
				?>
				<script language="javascript">
				parent.cambiar_estado_almacen(<?php echo $xid;?>,<?php echo $xestado;?>);
				</script>
				<?php		
			}
		}				
		
		
			
	}	
	
	
	//Adicionar recuperar
	function adicionar_temporal_recuperar($conexion){
		global $xid, $xidtrans, $xid_recuperado, $xop2, $xsaldo_a_favor;
											
											
		if($xop2=="SALIDA"){													
											
				$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans'; ");	
		
				if($r_limpiando_temporal){										
					
					$r1=mysqli_query($conexion,"SELECT od.* FROM orden_pedido_detalle od INNER JOIN orden_pedido o ON od.ordped_codi_fk=o.ordped_codi WHERE o.ordped_codi=$xid_recuperado order by ordpeddet_codi;");				
	
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){														
													
															
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						$xopealmdet_cantidad=$row1['ordpeddet_cantidad'];		
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];						
						
						$r_entregados= mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle oad INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi INNER JOIN orden_pedido_almacen opa ON opa.opealm_codi_fk=oa.opealm_codi WHERE oa.opealm_estado=1 and opa.ordped_codi_fk=$xid_recuperado and oad.unimed_codi_fk=$xunimed_codi_fk and oad.prd_codi_fk=$xprd_codi_fk;");
						
						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							$xentregados=$row_entregados['opealmdet_cantidad'];					
							
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;
													
						}
						
						if($xopealmdet_cantidad <= 0){	
							continue;
							
						}
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						opealmdet_cantidad,
																						idtrans) 
																				VALUES(NOW(),
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xopealmdet_cantidad,
																						'$xidtrans');");																														
					}
		
	
							
				}			
	
				
				if(trim($xsaldo_a_favor)!="" and trim($xsaldo_a_favor)!=NULL){
				?>			
					<script language="javascript">
					alert("Tiene un saldo a favor de S/. <?php echo number_format($xsaldo_a_favor,2,'.',','); ?>");
					</script>			
				<?php
				}
				
				return 1;
		}
		



		if($xop2=="INGRESO"){   
											
			$r_limpiando_temporal = mysqli_query($conexion,"DELETE FROM temporal_operacion_almacen_detalle WHERE idtrans='$xidtrans'; ");	
		
				if($r_limpiando_temporal){								
					
					$r1=mysqli_query($conexion,"SELECT od.* FROM orden_compra_detalle od INNER JOIN orden_compra o ON od.ordcom_codi_fk=o.ordcom_codi WHERE o.ordcom_codi=$xid_recuperado order by ordcomdet_codi;");				
	
					$xopealmdet_cantidad=0;
					
					while($row1=mysqli_fetch_array($r1)){														
																												
						$xprd_codi_fk=$row1['prd_codi_fk'];
						$xunimed_codi_fk=$row1['unimed_codi_fk'];
						$xopealmdet_cantidad=$row1['ordcomdet_cantidad'];		
						//$xopealmdet_codi=$row1['opealmdet_codi'];
						//$xopealm_codi_fk=$row1['opealm_codi_fk'];						
						
						$r_entregados= mysqli_query($conexion,"SELECT * FROM operacion_almacen_detalle oad INNER JOIN operacion_almacen oa ON oad.opealm_codi_fk=oa.opealm_codi INNER JOIN orden_compra_almacen oca ON oca.opealm_codi_fk=oa.opealm_codi WHERE oa.opealm_estado=1 and oca.ordcom_codi_fk=$xid_recuperado and oad.unimed_codi_fk=$xunimed_codi_fk and oad.prd_codi_fk=$xprd_codi_fk;");
						
						while($row_entregados=mysqli_fetch_array($r_entregados)){	
							$xentregados=$row_entregados['opealmdet_cantidad'];					
							
							$xopealmdet_cantidad = $xopealmdet_cantidad - $xentregados;
													
						}
						
						if($xopealmdet_cantidad <= 0){	
							continue;
							
						}
	
						$r=mysqli_query($conexion,"INSERT INTO temporal_operacion_almacen_detalle (opealmdet_fechahora, 
																						prd_codi_fk,
																						unimed_codi_fk,
																						opealmdet_cantidad,
																						idtrans) 
																				VALUES(NOW(),
																						$xprd_codi_fk,
																						$xunimed_codi_fk,
																						$xopealmdet_cantidad,
																						'$xidtrans');");																														
					}
		
	
							
				}			
	
				
				return 1;
		}

				
	}	

	
	

}




?>

